variable "environment" {
  description = "The environment for the bucket (dev or prod)"
  type        = string
}

# Between production and development, we need to specify the
# allowed origins for CORS differently. This variable is set to allow
# us to generate pre-signed urls and in development, we want to be able to
# do so from localhost.
variable "allowed_origins" {
  description = "Allowed origins for CORS"
  type        = list(string)
}

variable "bucketname" {
  description = "The name of the bucket to create"
  type        = string
}

variable "enable_versioning" {
  description = "Enable S3 versioning on the bucket"
  type        = bool
  default     = false
}